List networks for a Kubernetes bare metal node
To list all networks for a Kubernetes bare metal node specified in the path parameter, send a GET request to /v1/hosts/kubernetes_baremetal_nodes/{server_id}/networks.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server used for a node. To find it out, proceed to the relevant request. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
family? | stringValue in: The family specifies if |
interface_type? | stringValue in: This parameter defines if |
distribution_method? | stringValue in: It defines if networks with the |
additional? | booleanThe |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/kubernetes_baremetal_nodes/y1aKGGaQ/networks"[ { "id": "pmbk1xez", "title": "Public", "status": "active", "cidr": "100.0.8.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "pnel1laK", "title": "Private", "status": "active", "cidr": "10.128.1.0/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "Mvbm5pbY", "title": "Public", "status": "active", "cidr": "100.0.4.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "open14d7", "title": "Private", "status": "active", "cidr": "10.128.0.128/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "8mep11aM", "title": "Alias", "status": "active", "cidr": "127.2.43.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "MYer1wdO", "title": "OOB", "status": "active", "cidr": "100.35.0.2/31", "family": "ipv4", "interface_type": "oob", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "LDdw1Ja1", "title": "Private OOB network", "status": "active", "cidr": "192.168.8.2/31", "family": "ipv4", "interface_type": "oob", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "pmbk1Yez", "title": "Locally Significant IPv6", "status": "active", "cidr": "2a05:93c0:999::8/125", "family": "ipv6", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:45Z", "created_at": "2026-05-28T07:06:45Z" }, { "id": "Mvbm5AbY", "title": "thequickbrownfoxjumpsoverthelazydog", "status": "active", "cidr": "2a05:93c0:25:10::/64", "family": "ipv6", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:46Z", "created_at": "2026-05-28T07:06:46Z" }]